Last Comment Bug 378782 - Thunderbird installation instructions are incorrect if EULA present
: Thunderbird installation instructions are incorrect if EULA present
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Public Pages (show other bugs)
: 3.0
: All All
: -- normal
: ---
Assigned To: Wil Clouser [:clouserw]
:
:
Mentors:
Depends on: 378781
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-25 13:38 PDT by Justin Scott [:fligtar]
Modified: 2016-02-04 14:51 PST (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Only show instructions on EULA page. (961 bytes, patch)
2008-01-13 18:57 PST, Wil Clouser [:clouserw]
bugmail: review+
Details | Diff | Splinter Review

Description Justin Scott [:fligtar] 2007-04-25 13:38:26 PDT
The Thunderbird installation instructions are incorrect if the add-on has a EULA, as right clicking on the file will only save the EULA page. The instructions should probably not appear on these pages and instead appear on the EULA page.
Comment 1 Wil Clouser [:clouserw] 2008-01-13 18:57:46 PST
Created attachment 296891 [details] [diff] [review]
Only show instructions on EULA page.

Bug 401272 changed the button labels and fixed the mime types for downloading tb attachments.  This removes the instructions from the page if there is a EULA.
Comment 2 Fred Wenzel [:wenzel] 2008-01-14 00:53:58 PST
Comment on attachment 296891 [details] [diff] [review]
Only show instructions on EULA page.

Hm. I don't think it works like this: This patch won't show the instructions at all if there's a EULA present, not even on the policy page.

I believe while we should not show the box on the page when the button links to the policy page, we should still display the box on the policy page itself.

Is there a variable we can check ($this->action or so?) in order to find out if we are currently on the policy page or not?
Comment 3 Fred Wenzel [:wenzel] 2008-01-14 01:01:32 PST
Comment on attachment 296891 [details] [diff] [review]
Only show instructions on EULA page.

Oh, in fact, as you pointed out, your patch *does* behave the way I described.

In that case, r+ing. This is good to go. :)
Comment 4 Wil Clouser [:clouserw] 2008-01-14 08:39:40 PST
thanks, r9605

Note You need to log in before you can comment on or make changes to this bug.